Linear Collider Forum



Home » Simulation » Mokka » problem in the installation of MOKKA
Re: problem in the installation of MOKKA [message #1878 is a reply to message #1874] Tue, 29 September 2009 04:20 Go to previous messageGo to previous message
iglesias
Messages: 18
Registered: November 2008
Location: Universidad de Santiago (...

Hi Jan
I have added #include <assert.h> in the HepLCIOInterface.cc file but again obtain an error message:

Creating/replacing object files in /mnt/data2/ilcsoft/v01-06/Mokka/mokka-06-07-patch01/tmp/Linu x-g++/Mokka/libMokka.a ...
ar: creating /mnt/data2/ilcsoft/v01-06/Mokka/mokka-06-07-patch01/tmp/Linu x-g++/Mokka/libMokka.a
Compiling Mokka.cc ...
Using granular libraries ...
Linking Mokka ...
/mnt/data2/ilcsoft/v01-06/Mokka/mokka-06-07-patch01/tmp/Linu x-g++/Mokka/exe/Mokka.o: In function `G4VisExecutive::RegisterGraphicsSystems()':
Mokka.cc:(.text+0x395): undefined reference to `G4RayTracerX::G4RayTracerX()'
collect2: ld returned 1 exit status
make[1]: *** [/mnt/data2/ilcsoft/v01-06/Mokka/mokka-06-07-patch01/bin/Lin ux-g++/Mokka] Error 1
make[1]: Leaving directory `/mnt/data2/ilcsoft/v01-06/Mokka/mokka-06-07-patch01/source/ Kernel'
make: *** [all] Error 2
*** ERROR in module [ Mokka ]: Required file not found: ['/mnt/data2/ilcsoft/v01-06/Mokka/mokka-06-07-patch01/bin/Li nux-g++/Mokka']


What is the mean of the message? something related with Geant4 files???
I don't understand what is wrong in my installation...

You told me that I try with a more recent version of Mokka?
what version? mokka-06-06-p01 ???

Thanks

Carmen
 
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Previous Topic:New SVN Mokka repository
Next Topic:problems with mokka in v01-04
Goto Forum:
  


Current Time: Thu Jul 19 12:01:27 Pacific Daylight Time 2018
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.1.
Copyright ©2001-2010 FUDforum Bulletin Board Software